JUCE: layout

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
layout
juce_gui_basics

## Namespaces
namespace | AnimatedPositionBehaviours
| Contains classes for different types of physics behaviours - these classes are used as template parameters for the AnimatedPosition class.

## Classes
class | AnimatedPosition< Behaviour >
| Models a 1-dimensional position that can be dragged around by the user, and which will then continue moving with a customisable physics behaviour when released. More...
class | AnimatedPosition< Behaviour >::Listener
| Implement this class if you need to receive callbacks when the value of an AnimatedPosition changes. More...
struct | AnimatedPositionBehaviours::ContinuousWithMomentum
| A non-snapping behaviour that allows the content to be freely flicked in either direction, with momentum based on the velocity at which it was released, and variable friction to make it come to a halt. More...
struct | AnimatedPositionBehaviours::SnapToPageBoundaries
| A behaviour that gravitates an AnimatedPosition object towards the nearest integer position when released. More...
class | ComponentAnimator
| Animates a set of components, moving them to a new position and/or fading their alpha levels. More...
class | ComponentBoundsConstrainer
| A class that imposes restrictions on a Component's size or position. More...
class | ComponentBuilder
| Loads and maintains a tree of Components from a ValueTree that represents them. More...
class | ComponentBuilder::TypeHandler
| The class is a base class for objects that manage the loading of a type of component from a ValueTree. More...
class | ComponentBuilder::ImageProvider
| This class is used when references to images need to be stored in ValueTrees. More...
class | ComponentMovementWatcher
| An object that watches for any movement of a component or any of its parent components. More...
class | ConcertinaPanel
| A panel which holds a vertical stack of components which can be expanded and contracted. More...
struct | ConcertinaPanel::LookAndFeelMethods
| This abstract base class is implemented by LookAndFeel classes. More...
class | FlexBox
| Represents a FlexBox container, which contains and manages the layout of a set of FlexItem objects. More...
class | FlexItem
| Describes the properties of an item inside a FlexBox container. More...
struct | FlexItem::Margin
| Represents a margin. More...
class | Grid
| Container that handles geometry for grid layouts (fixed columns and rows) using a set of declarative rules. More...
struct | Grid::Px
| A size in pixels. More...
struct | Grid::Fr
| A fractional ratio integer. More...
struct | Grid::TrackInfo
| Represents a track. More...
class | GridItem
| Defines an item in a Grid. More...
struct | GridItem::Span
| Represents a span. More...
struct | GridItem::Property
| Represents a property. More...
struct | GridItem::StartAndEndProperty
| Represents start and end properties. More...
struct | GridItem::Margin
| Represents a margin. More...
class | GroupComponent
| A component that draws an outline around itself and has an optional title at the top, for drawing an outline around a group of controls. More...
struct | GroupComponent::LookAndFeelMethods
| This abstract base class is implemented by LookAndFeel classes. More...
class | MultiDocumentPanelWindow
| This is a derivative of DocumentWindow that is used inside a MultiDocumentPanel component. More...
class | MultiDocumentPanel
| A component that contains a set of other components either in floating windows or tabs. More...
class | ResizableBorderComponent
| A component that resizes its parent component when dragged. More...
class | ResizableBorderComponent::Zone
| Represents the different sections of a resizable border, which allow it to resized in different ways. More...
class | ResizableCornerComponent
| A component that resizes a parent component when dragged. More...
class | ResizableEdgeComponent
| A component that resizes its parent component when dragged. More...
class | ScrollBar
| A scrollbar component. More...
class | ScrollBar::Listener
| A class for receiving events from a ScrollBar. More...
struct | ScrollBar::LookAndFeelMethods
| This abstract base class is implemented by LookAndFeel classes to provide scrollbar-drawing functionality. More...
class | SidePanel
| A component that is positioned on either the left- or right-hand side of its parent, containing a header and some content. More...
struct | SidePanel::LookAndFeelMethods
| This abstract base class is implemented by LookAndFeel classes to provide SidePanel drawing functionality. More...
class | StretchableLayoutManager
| For laying out a set of components, where the components have preferred sizes and size limits, but where they are allowed to stretch to fill the available space. More...
class | StretchableLayoutResizerBar
| A component that acts as one of the vertical or horizontal bars you see being used to resize panels in a window. More...
struct | StretchableLayoutResizerBar::LookAndFeelMethods
| This abstract base class is implemented by LookAndFeel classes. More...
class | StretchableObjectResizer
| A utility class for fitting a set of objects whose sizes can vary between a minimum and maximum size, into a space. More...
class | TabBarButton
| In a TabbedButtonBar, this component is used for each of the buttons. More...
class | TabbedButtonBar
| A vertical or horizontal bar containing tabs that you can select. More...
struct | TabbedButtonBar::LookAndFeelMethods
| This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality. More...
class | TabbedComponent
| A component with a TabbedButtonBar along one of its sides. More...
class | Viewport
| A Viewport is used to contain a larger child component, and allows the child to be automatically scrolled around. More...

## Functions
constexpr Grid::Px | operator""_px (long double px)
constexpr Grid::Px | operator""_px (unsigned long long px)
constexpr Grid::Fr | operator""_fr (unsigned long long fr)

## Detailed Description

## Function Documentation

## ◆ operator""_px() [1/2]

constexpr Grid::Px operator""_px | ( | long double | px | ) |
| constexpr

## ◆ operator""_px() [2/2]

constexpr Grid::Px operator""_px | ( | unsigned long long | px | ) |
| constexpr

## ◆ operator""_fr()

constexpr Grid::Fr operator""_fr | ( | unsigned long long | fr | ) |
| constexpr